/// <reference types="node" />
import { RawSourceMap } from 'source-map';
import { URL } from 'url';
/**
 * Compiles a path and returns the resulting css. Throws a SassException if the
 * compilation failed.
 */
export declare function compile(options: {
    path: string;
    sourceMap?: (sourceMap: RawSourceMap) => void;
}): Promise<string>;
/**
 * Compiles a string and returns the resulting css. Throws a SassException if
 * the compilation failed.
 */
export declare function compileString(options: {
    source: string;
    sourceMap?: (sourceMap: RawSourceMap) => void;
    url?: URL | string;
}): Promise<string>;
