/// <reference types="node" />
import { Observable } from 'rxjs';
/**
 * Invokes the Embedded Sass Compiler as a Node child process, exposing its
 * stdio as Observables.
 */
export declare class EmbeddedCompiler {
    private readonly process;
    /** The child process's exit event. */
    readonly exit$: Observable<number | null>;
    /** The buffers emitted by the child process's stdout. */
    readonly stdout$: Observable<Buffer>;
    /** The buffers emitted by the child process's stderr. */
    readonly stderr$: Observable<Buffer>;
    /** Writes `buffer` to the child process's stdin. */
    writeStdin(buffer: Buffer): void;
    /** Kills the child process, cleaning up all associated Observables. */
    close(): void;
}
