import { SourceSpan } from './span';
/**
 * An exception thrown by Sass.
 */
export declare class SassException extends Error {
    readonly message: string;
    private readonly formatted;
    readonly span?: SourceSpan | undefined;
    readonly trace?: string | undefined;
    /**
     * @param message - The error message.
     * @param formatted - The formatted error message. Includes the message, span,
     *                    and trace.
     * @param [span] - The source span associated with the error.
     * @param [trace] - The trace associated with the error.
     */
    constructor(message: string, formatted: string, span?: SourceSpan | undefined, trace?: string | undefined);
    toString(): string;
}
