import { SassException } from './exception/exception';
import * as proto from './vendor/embedded-protocol/embedded_sass_pb';
export declare type PromiseOr<T> = T | Promise<T>;
/** Checks for null or undefined. */
export declare function isNullOrUndefined<T>(object: T): boolean;
/** Constructs a compiler-caused Error. */
export declare function compilerError(message: string): Error;
/** Constructs a host-caused Error. */
export declare function hostError(message: string): Error;
/**
 * Creates a SassException from the given protocol `buffer`. Throws if the
 * buffer has invalid fields.
 */
export declare function deprotifyException(buffer: proto.OutboundMessage.CompileResponse.CompileFailure): SassException;
